//
//  AMTickerSign.h
//  MBTicker
//
//  Created by Andreas on Wed Aug 20 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

//  This is an abstract baseclass for ticker objects.
//  You need to implement at least the size and drawAtPoint:
//  methods.


#import <AppKit/AppKit.h>

extern int AMEndlessLoopCount;

typedef enum {
	AMScrollNone = 0,
	AMScrollHorizontal = 1,
	AMScrollVertical = 2
} AMScrollDirection;

typedef enum {
	AMFadeInOutNone = 0,
	AMFadeInOutDefault = 1
} AMFadeInOutType;

typedef enum {
	AMTiggerActionTypeNone = 0,
	AMTiggerActionTypeURL = 1,
	AMTiggerActionTypeCustom = 99
} AMTiggerActionType;


@interface AMTickerSign : NSObject <NSCopying, NSCoding> {
	AMScrollDirection scrollDirection;
	AMFadeInOutType fadeInOutType;
	BOOL continuousScrolling;
	int loopCount;
	NSSize size;
	AMTiggerActionType actionType;
	NSString *actionString;
}

- (NSSize)size;
	// subclasses need to overwrite this method

- (void)setSize:(NSSize)newSize;

- (void)drawAtPoint:(NSPoint)point;
	// subclasses need to overwrite this method

- (AMScrollDirection)scrollDirection;
- (void)setScrollDirection:(AMScrollDirection)newScrollDirection;

- (AMFadeInOutType)fadeInOutType;
- (void)setFadeInOutType:(AMFadeInOutType)newFadeInOutType;

- (BOOL)continuousScrolling;
- (void)setContinuousScrolling:(BOOL)newContinuousScrolling;

- (int)loopCount;
- (void)setLoopCount:(int)newLoopCount;

- (AMTiggerActionType)actionType;
- (void)setActionType:(AMTiggerActionType)newActionType;

- (NSString *)actionString;
- (void)setActionString:(NSString *)newActionString;


@end
