//
//  AMTiggerClientProtcol.h
//  Tigger
//
//  Created by Andreas on Wed Aug 27 2003.
//  Copyright (c) 2003 Andreas Mayer. All rights reserved.
//
//	2004-07-14	Andreas Mayer
//	- added performAction:
//	- replaced activateWithServer: with setupWithServer: and activate


#import <AppKit/AppKit.h>


#define AMTiggerDidLaunchNotification @"AMTiggerDidLaunchNotification"

// Tigger will send this notification through the system's distributed notification center
// when it is launched. The notification object is @"Tigger", the userInfo dictionary
// is similar to that from NSWorkspace's NSWorkspaceDidLaunchApplicationNotification.


@protocol AMTiggerClientProtocol
- (void)setupWithServer:(id)theServer;
- (void)activate;
- (void)deactivate;
- (BOOL)hasPrefsPane;
@end

@interface NSObject (AMTiggerClientPrefPane)
- (NSString *)clientIdentifier;
- (NSImage *)prefPaneIcon;
- (NSString *)prefPaneIconLabel;
- (NSString *)userInfo;
@end

@interface NSObject (AMTiggerClientAction)
- (void)performAction:(in NSString *)action;
@end
