//
//  AMTiggerServerProtcol.h
//  Tigger
//
//  Created by Andreas on Wed Aug 27 2003.
//  Copyright (c) 2003 Andreas Mayer. All rights reserved.
//
//	2004-07-30 Andreas Mayer
//	- added appleScriptLock


#import <Foundation/Foundation.h>
#import "AMTickerService/AMTickerSign.h"


@protocol AMTiggerServerProtocol

- (oneway void)registerClient:(byref id)client withName:(bycopy in NSString *)name;
- (oneway void)deregisterClientWithName:(bycopy in NSString *)name;

- (oneway void)addSign:(bycopy in AMTickerSign *)aSign;
- (oneway void)insertSignAtCursor:(bycopy in AMTickerSign *)aTickerSign;
- (oneway void)removeSign:(bycopy in AMTickerSign *)aSign;

- (oneway void)addSign:(bycopy in AMTickerSign *)aSign client:(byref id)client;
- (oneway void)insertSignAtCursor:(bycopy in AMTickerSign *)aTickerSign client:(byref id)client;

- (out NSSize)viewSize;

- (out NSView *)tickerView; // read only!

- (inout NSMutableDictionary *)preferencesForIdentifier:(bycopy in NSString *)theIdentifier;

- (oneway void)openHelpForIdentifier:(bycopy in NSString *)theIdentifier;

- (oneway void)runAppleScript:(bycopy in NSString *)scriptFile delegate:(id)delegate scriptFinishedSelector:(SEL)selector;

- (oneway void)setFrame:(bycopy in NSRect)newFrame forTickerWithID:(bycopy NSString *)tickerID;


@end
