//
//  TimeTickerPlugin.h
//  TimeTicker
//
//  Created by Andreas on Thu Mar 25 2004.
//  Copyright (c) 2004 Andreas Mayer. All rights reserved.
//

#import <AppKit/AppKit.h>
#import "AMPrefPaneProtocol.h"
#import "AMTiggerPluginProtocol.h"
#import "AMTiggerClientProtocol.h"
#import "AMTiggerServerProtocol.h"


@interface TimeTickerPlugin : NSObject <AMTiggerClientProtocol, AMTiggerPluginProtocol, AMPrefPaneProtocol> {
	NSBundle *myBundle;
	id server;
	NSMutableDictionary *defaults;
	NSTimer *timer;
	NSString *timeFormat;
	IBOutlet NSView *prefPaneView;
	IBOutlet NSTextField *timeFormatTextField;
	IBOutlet NSTextField *previewTextField;
	NSString *_am_clockSymbol;
	AMTickerSign *lastSign;
}

// AMTiggerClientProtocol
- (void)setupWithServer:(id <AMTiggerServerProtocol>)theServer;
- (void)activate;
- (void)deactivate;
- (BOOL)hasPrefsPane;

	// AMTiggerPluginProtcol
- (id)initWithBundle:(NSBundle *)theBundle;

	// AMPrefPaneProtocol
- (NSString *)identifier;
- (NSView *)mainView;
- (NSString *)label;
- (NSImage *)icon;
- (NSString *)category;

- (void)loadMainView;
- (void)willSelect;

- (IBAction)changeTimeFormat:(id)sender;


@end
